Subject: Re: [BEHAVE] Port allocation in TURN

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 14 Dec 2007 18:03:04 -0500

Sorry for not responding on this.

Generally, I like to separate things that are orthogonal. These are all 
orthogonal. Indeed, we want one of them (requested address type) to be 
an extension anyway (I hate to require all TURN servers to act as v4 to 
v6 relays).

I don't think it really simplifies the spec to combine them, and since 
the same information is ultimately being conveyed and processed, I don't 
see how it saves much on implementation.

So, I'd rather not make this change.

-Jonathan R.

Marc Petit-Huguenin wrote:
> Between turn-05 and turn-ipv6-03, there is 3 different attributes used
> to allocate a port: REQUESTED-PORT-PROPS, REQUESTED-IP and
> REQUESTED-ADDRESS-TYPE.
> 
> My proposal is to simplify by merging the 3 attributes into one:
> 
>  0                   1                   2                   3
>  0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> |0 0 0 0 0 0| A |    Family     |    Specific Port Number       |
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> |                                                               |
> |                 Address (32 bits or 128 bits)                 |
> |                                                               |
> +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> The six first bits are reserved and must be set to zero.
> The two bits labeled A have the same meaning than the A bits in
> REQUESTED-PORT-PROPS.
> The Family field has the same meaning than the field of same name in
> REQUESTED-ADDRESS-TYPE.
> The Specific Port Number field has the same meaning than the field of
> same name in REQUESTED-PORT-PROPS.
> The Address field has the same meaning than the field of same name in
> REQUESTED-IP, excepted that a value of all zero means that the server is
> free to choose the IP address
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   499 Thornall St.
Cisco Fellow                                   Edison, NJ 08837
Cisco, Voice Technology Group
[email-masked]
http://www.jdrosen.net                         PHONE: (408) 902-3084
http://www.cisco.com

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 14 Dec 2007 17:08:35 -0800

> So, I'd rather not make this change.

OK

-- 
Marc Petit-Huguenin           [                                 ]
Home: [email-masked] [RFC1855-compliant space for rent ]
Work: [email-masked]            [                                 ]
[                                                               ]